Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.flow
Class RegionInfo

    java.lang.Object
      org.apache.batik.gvt.flow.RegionInfo

    public class RegionInfo

extends Object

This class holds the neccessary information to render a <batik:flowRegion> that is defined within the <batik:flowRoot> element. Namely it holds the bounds of the region and the desired vertical alignment.

Constructor Summary
`RegionInfo(Shape s, float verticalAlignment)` Creates a new RegionInfo with the given shape and alignment.

Method Summary
`Shape` | `getShape()` Returns the flow region shape.
`float` | `getVerticalAlignment()` Gets the vertical alignment for this flow region.
`void` | `setShape(Shape s)` Sets the flow region shape.
`void` | `setVerticalAlignment(float verticalAlignment)` Sets the alignment position of the text within this flow region.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegionInfo

    public RegionInfo(Shape s,
                      float verticalAlignment)

  Creates a new RegionInfo with the given shape and alignment.

Method Detail

### getShape

    public Shape getShape()

  Returns the flow region shape.

### setShape

    public void setShape(Shape s)

  Sets the flow region shape.

### getVerticalAlignment

    public float getVerticalAlignment()

  Gets the vertical alignment for this flow region.

  Returns:
    the vertical alignment for this flow region. It will be 0.0 for top, 0.5 for middle and 1.0 for bottom.

### setVerticalAlignment

    public void setVerticalAlignment(float verticalAlignment)

  Sets the alignment position of the text within this flow region. The value must be 0.0 for top, 0.5 for middle and 1.0 for bottom.

  Parameters:
    `verticalAlignment` - the vertical alignment of the text.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.